# 4.0.0-alpha-02

- Incremented `minSdkVersion` to 26 (Android 8)
- Added new session branch feature which allow the SDK to branch of a session unto an alternate menu path if a mismatch occurs in the session
- Added `Choice` menu feature which halt the SDK during execution at a specific menu and waits for the user to make a selection before resuming execution
- Added dynamic sessions feature which parses the USSD string into UI elements on-the-fly. The user can then interact with the dynamically created views instead of the USSD dialog
- Changed session variable type from `List` to `Map`

# 3.2.0

- Upgraded native plugin to 3.2.0
- Updated native plugin to use new AutoUssd API

# 3.1.0

- Added `AutoUssdFlutter.getDeviceSimNetworks` function which returns a list of `Network` of the SIM cards in the device.
- Added `name`, `countryName`, `countryIsoCode` and `countryDialCode` to `Network` model class.

# 3.0.2

- V3 official release

# 3.0.2-alpha-01

**BREAKING CHANGES**

- Refactored `AutoUssdFlutter` to a static implementation
- Added automatic SIM determination. The SDK will determine the right SIM to use based on the
  session's networks.
- Added SIM override support. A SIM can be specified by
  a [mobile country code (mcc)](https://en.wikipedia.org/wiki/Mobile_country_code) and
  a [mobile network code (mnc)](https://en.wikipedia.org/wiki/Mobile_country_code) to instruct the
  SDK will forcefully use the matching SIM to execute the session
- Upgraded native plugin to 3.0.2

# 2.1.0

- Upgraded native plugin to 2.1.0

# 2.0.4

- Upgraded native plugin to 2.0.4

# 2.0.3

- Upgraded native plugin to 2.0.3

# 2.0.2

- Upgraded Gradle plugin to 7.1.2
- Upgraded native plugin to 2.0.2

# 2.0.1

- Upgraded native plugin to 2.0.1
- Fixed bug causing variable menus to fail during session execution

# 2.0.0-alpha-01

* Upgraded native plugin to 2.0.0
* Refactored the AutoUssdFlutter constructor to accept an `onSessionCount` callback function

# 1.0.0-alpha-02

* Fixed Android plugin buildscript

# 1.0.0-alpha-01

* Exposed `AutoUssdFlutter` class
* Exposed `AutoUssdResult` class. `AutoUssdResult` represents the session execution result
* Export `AutoUssdResultStatus` enumeration. `AutoUssdResultStatus` represents the status of
  an `AutoUssdResult` instance
